Page MenuHomeFreeBSD

x11/libwacom: unbreak after rP244554 when libxml2 isn't bootlegged
ClosedPublic

Authored by jbeich on Mar 2 2020, 6:39 PM.

Details

Summary
Test Plan

Builds fine on:

  • 11.3 i386 with MANPAGES=off in devel/glib20
  • 11.3 amd64

Runtime testing is not required as tests are not installed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Mar 2 2020, 6:39 PM
manu accepted this revision as: manu.Mar 4 2020, 8:24 AM
manu added a subscriber: manu.

LGTM.
Thanks

This revision is now accepted and ready to land.Mar 4 2020, 8:24 AM
imp accepted this revision.Mar 4 2020, 3:57 PM
imp added a subscriber: imp.

seems sane and low risk of breaking other things.

zeising accepted this revision.Mar 4 2020, 4:06 PM
zeising added a subscriber: zeising.

LGTM

rfyu28uyeg_snkmail.com added inline comments.
x11/libwacom/Makefile
14 ↗(On Diff #69086)

Making libxml2 (these patches) optional is okay. A separate commit would be worthwhile to get 'make test' working (which should then include TEST_DEPENDS for libxml2).

x11/libwacom/distinfo
9 ↗(On Diff #69086)

Can you please put anonymous patch files such as these in a "libwacom" DIST_SUBDIR?

jbeich added inline comments.Mar 5 2020, 4:28 PM
x11/libwacom/Makefile
14 ↗(On Diff #69086)

make test not working is not a regression. USES=meson implicitly defines TEST_TARGET but tests could be run even before rP527162 e.g.,

$ make test TEST_TARGET=check
gmake[3]: Entering directory '/usr/ports/x11/libwacom/work/libwacom-libwacom-0.32/data/layouts'
/bin/sh: Syntax error: Bad fd number
x11/libwacom/distinfo
9 ↗(On Diff #69086)

These patches are ephemeral i.e., to be removed on the next update. However, DIST_SUBDIR only works for all distfiles.